---
title: PushSubscription.subscriptionId
slug: Web/API/PushSubscription/subscriptionId
tags:
  - API
  - Deprecated
  - Experimental
  - Property
  - Push
  - Push API
  - PushSubscription
  - Reference
  - Service Workers
  - subscriptionId
---
<div>{{APIRef("Push API")}}{{Deprecated_header}}</div>

<p>The <font face="Consolas, Monaco, Andale Mono, monospace"><strong>endpoint</strong></font> read-only property of the {{domxref("PushSubscription")}} interface returns a {{domxref("DOMString")}} containing the subscription ID associated with the push subscription.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>subId</em> = <em>pushSubscription</em>.subscriptionId;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Push API")}}</td>
   <td>{{Spec2("Push API")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.PushSubscription.subscriptionId")}}</p>
</div>
